<div id="filterPlaceholder">
  <mat-card>
    <mat-card-content>
      <!-- Represents the first column of the filter panel
      which contains checkboxes that specify the training
      instances to be displayed -->
      <mat-grid-list cols="1" rowHeight="45px" id="gridGroup1">
        <mat-grid-tile class="boldText">Display</mat-grid-tile>
        <mat-grid-tile id="filterPanel" *ngFor="let item of checkboxes">
          <mat-checkbox
            id="{{ item.training }}"
            [checked]="item.checked"
            [disabled]="item.disabled"
            (change)="onChange(item)"
          >
          </mat-checkbox>
        </mat-grid-tile>
      </mat-grid-list>
      <!-- Specifies the middle columns of the filter panel
      which provide information about the individual trainings -->
      <mat-grid-list cols="4" rowHeight="45px" id="gridGroup2">
        <mat-grid-tile class="boldText">TI Title</mat-grid-tile>
        <mat-grid-tile class="boldText">Date</mat-grid-tile>
        <mat-grid-tile class="boldText">Event Duration<br>(hh:mm:ss)</mat-grid-tile>
        <mat-grid-tile class="boldText">No. of Participants</mat-grid-tile>
        <mat-grid-tile *ngFor="let item of tableData">
          {{ item }}
        </mat-grid-tile>
      </mat-grid-list>
      <!-- Defines the last column of the filter panel which contains icons
      The program enables to attach an arbitrary onclick function to this icon -->
      <mat-grid-list cols="1" rowHeight="45px" id="gridGroup3">
        <mat-grid-tile class="boldText">Go to detailed view</mat-grid-tile>
        <mat-grid-tile *ngFor="let item of checkboxes">
          <mat-icon id="detailView" (click)="onClick(item)">poll</mat-icon>
        </mat-grid-tile>
      </mat-grid-list>
    </mat-card-content>
  </mat-card>
  <!-- If all the checkboxes are unchecked, no data is available
  and a 'no data' message is shown -->
  <mat-card-content id="noDataCard">
    <span>No training instance selected</span>
  </mat-card-content>
</div>
